%define _disable_ld_no_undefined 1

%define svn	0
%define rel	1
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.bz2
%define dirname		%name-%version
%endif

Name: 	 	brasero
Summary: 	A disc burning application for GNOME
Version: 	0.8.3
Release: 	%{release}
# For SVN: svn co http://svn.gnome.org/svn/brasero/trunk brasero
Source0:	http://ftp.gnome.org/pub/gnome/sources/brasero/0.8/%{distname}
URL:		http://www.gnome.org/projects/brasero/
License:	GPLv2+
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgstreamer-devel >= 0.10
BuildRequires:	libxml2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libbeagle-devel >= 0.2.5
BuildRequires:	totem-plparser-devel
BuildRequires:	libgdl-devel >= 0.6
BuildRequires:	libgstreamer0.10-plugins-base-devel
#BuildRequires:	libburn-devel
#BuildRequires:	libisofs-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	libusb0.1-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk-doc
%if %svn
BuildRequires:	autoconf
BuildRequires:	gnome-common
BuildRequires:	intltool
%endif
Requires:	hal >= 0.5.0

Obsoletes:	bonfire
Provides:	bonfire

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# optional requirements to make video projects work
Suggests:	vcdimager
Suggests:	dvdauthor
Suggests:	gstreamer0.10-plugins-bad

%description
Brasero is yet another CD / DVD writing application for the GNOME
desktop. It is designed to be as simple as possible and has some
unique features to enable users to create their discs easily and
quickly. It can handle both audio and data discs, and can use either
cdrkit or libburn / libisofs as the writing backend.

%prep
%setup -q -n %{dirname}

%build
%if %svn
./autogen.sh
%endif
# libburn backend disabled for now (0.8.1 2008/08), it's not working;
# will restore when upstream advises it - AdamW
%configure2_5x --disable-schemas-install \
               --disable-caches \
               --enable-libburnia=no \
               --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

for omf in %{buildroot}%{_datadir}/omf/%{name}/%{name}-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/brasero-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %{name}.lang
done

%clean
rm -rf %{buildroot}

%define schemas %{name}

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{schemas}
%update_mime_database
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_mime_database
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/%{name}/*-C.omf



%changelog
* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 302117
- Update to new version 0.8.3

* Tue Sep 23 2008 Frederik Himpe <fhimpe@mandriva.org> 0.8.2-1mdv2009.0
+ Revision: 287600
- Suggest optional requirements to make video projects work
- Add BuildRequires to fix build of the help
- Update to new version 0.8.2 (important bug fixes)

* Mon Aug 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.1-2mdv2009.0
+ Revision: 275968
- disable libburn backend, it's not working

* Sat Aug 09 2008 Funda Wang <fundawang@mandriva.org> 0.8.1-1mdv2009.0
+ Revision: 270118
- New version 0.8.1

* Mon Jul 14 2008 Adam Williamson <awilliamson@mandriva.com> 0.8.0-1mdv2009.0
+ Revision: 234448
- drop now unnecessary buildrequires
- drop menu patch and workaround (fixed upstream)
- new version 0.8.0

* Thu Jul 03 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.91-1mdv2009.0
+ Revision: 231372
- drop build.patch (merged upstream)
- new release 0.7.91

* Sat Jun 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.90-1mdv2009.0
+ Revision: 229597
- crib a little loop from eog to handle omf files by language
- use --with-gnome for find-lang
- add build.patch: fixes build for GCC 4.3 (from upstream SVN)
- disable underlinking protection (only plugins, no shared libs)
- small spec clean
- new release 0.7.90

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 14 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.9-0.815.1mdv2009.0
+ Revision: 206955
- br gnome-doc-utils
- re-enable libburn plugins (work with current libburnia now)
- new snapshot 815

* Wed Apr 23 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.9-0.761.1mdv2009.0
+ Revision: 196792
- add desktop.patch to fix an error in the .desktop file
- disable libburnia temporarily as libisofs 0.6 is not yet supported
- switch to SVN trunk

* Wed Mar 26 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.2-0.693.1mdv2008.1
+ Revision: 190209
- buildrequires libusb-devel
- add Dutch translation by Fred Himpe from SVN head (#39392)
- bump to rev 693 (updates for many translations, adds Greek translation)

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.2-0.643.2mdv2008.1
+ Revision: 176491
- drop workarounds for some issues that have now been fixed upstream
- update to current snapshot of stable branch (upstream blesses it as stable, contains important fixes for 0.7.1)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix gstreamer0.10-devel BR for x86_64

* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 164495
- rebuild for new libcamel

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.com> 0.7.1-1mdv2008.1
+ Revision: 158932
- fix bogus : separator in .desktop file
- disable the glibc workaround, doesn't seem to be right any more
- new release 0.7.1

* Thu Dec 27 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 138353
- New release 0.7.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 0.6.90-2mdv2008.1
+ Revision: 116123
- rebuild for new beagle

* Tue Nov 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.90-1mdv2008.1
+ Revision: 113509
- fix file list again
- fix file list
- drop both patches, merged upstream
- new release 0.6.90

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix buildrequires
    - fix desktop entry

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-7mdv2008.1
+ Revision: 109293
- rebuild for new lzma

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-6mdv2008.1
+ Revision: 105956
- rebuild for new totem

* Fri Sep 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-5mdv2008.0
+ Revision: 93487
- add brasero-0.6.1-sectorsize.patch from upstream SVN to fix size calculation for audio and VCDs (so long audio and VCDs do not fail due to being 'too big')

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-4mdv2008.0
+ Revision: 91672
- adjust XDG categories (fix #33828)

* Wed Sep 19 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.1-3mdv2008.0
+ Revision: 90806
- Bump release to re-upload lost package

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.1-2mdv2008.0
+ Revision: 83451
- Fix release
- rebuild

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 71294
- 0.6.1 stable

* Tue Aug 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.1-0.283.1mdv2008.0
+ Revision: 63486
- update to SVN rev 283 to fix an upstream booboo that was breaking compile
- correct category addition (no semi-colon when using desktop-file-install)
- correct license to GPLv2+
- update to latest 0.6 branch SVN: fixes for some important bugs

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-2mdv2008.0
+ Revision: 57171
- fix and improve description

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-1mdv2008.0
+ Revision: 57160
- buildrequires libgcrypt-devel
- fix for glibc 2.6 change to sg
- add patch0 to enable deprecated APIs (needed to build against GTK+ 2.11.6)
- update URL
- 0.6.0 final

* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-0.245.1mdv2008.0
+ Revision: 47614
- update to current SVN; build against libburn and libisofs

  + Götz Waschk <waschk@mandriva.org>
    - fix script syntax

* Tue Apr 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.90-1mdv2008.0
+ Revision: 13611
- New release 0.5.90


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.2-1mdv2007.0
+ Revision: 127086
- New release 0.5.2

* Tue Nov 14 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2007.1
+ Revision: 84062
- New release 0.5.1

* Mon Nov 13 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.0-2mdv2007.0
+ Revision: 83675
- Increment Release
- Fix bug #27125

* Fri Nov 03 2006 Jérôme Soyer <saispo@mandriva.org> 0.5.0-1mdv2007.1
+ Revision: 76147
- New release 0.5.0
- Import brasero

* Thu Sep 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.90-4mdv2007.0
- BuildRequires libgstreamer0.10-plugins-base-devel

* Wed Sep 20 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.90-3mdv2007.0
- rebuild

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.90-2mdv2007.0
- BuildRequires desktop-file-utils
- obsoletes bonfire

* Thu Sep 07 2006 Jerome Soyer <saispo@mandriva.org> 0.4.90-1mdv2007.0
- New release 0.4.90
- New name (brasero)

* Sat May 20 2006 Austin Acton <austin@mandriva.org> 0.3.1-2mdk
- fix typo in requires

* Fri May 19 2006 Austin Acton <austin@mandriva.org> 0.3.1-1mdk
- initial package

